from modeller import *
from modeller.automodel import *

class My(automodel):
    def special_patches(self, aln):
           self.patch_ss_templates(aln)


log.verbose()
env = environ()
env.io.atom_files_directory = ['.', '/home/ppasznik/workspaces/gpcr-model/gpcrd/data-src/atom_files/']

a = My(env,
                  alnfile = '../align.ali',
                   knowns   = ['3SN6_R','2YDV_A'],
                   sequence = 'targ',
        	   assess_methods=(assess.DOPE, assess.GA341))
a.starting_model= 1
a.ending_model  = 10

a.make()
